ch.qos.logback.classic.turbo

## Class MDCValueLevelPair

- java.lang.Object
- - ch.qos.logback.classic.turbo.MDCValueLevelPair

    public class MDCValueLevelPair
    extends Object

Bean pairing an MDC value with a log level.

Author:
  Ralph Goers, Ceki Gülcü

### Constructor Summary

Constructors
Constructor and Description
`MDCValueLevelPair()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Level` `getLevel()`
`String` `getValue()`
`void` `setLevel(Level level)`
`void` `setValue(String name)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MDCValueLevelPair

    public MDCValueLevelPair()

### Method Detail

#### getValue

    public String getValue()

#### setValue

    public void setValue(String name)

#### getLevel

    public Level getLevel()

#### setLevel

    public void setLevel(Level level)